Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMChart

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMChart

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Chart

    public class JSMChart

extends JSMBaseObject
implements Chart

Field Summary
`java.lang.String` | `backgroundColor`
`java.lang.String` | `defaultSeriesType`
`java.lang.Integer` | `height`
`java.lang.Integer` | `marginBottom`
`int` | `marginLeft`
`java.lang.Integer` | `marginRight`
`int` | `marginTop`
`java.lang.Object` | `renderer`
`java.lang.Object` | `renderTo`
`java.lang.Integer` | `width`
`java.lang.String` | `zoomType`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMChart()`

Method Summary
`java.lang.String` | `getBackgroundColor()`
`java.lang.String` | `getDefaultSeriesType()`
`int` | `getHeight()`
`int` | `getMarginBottom()`
`int` | `getMarginLeft()`
`int` | `getMarginRight()`
`int` | `getMarginTop()`
`java.lang.Object` | `getRenderer()`
`java.lang.Object` | `getRenderTo()`
`int` | `getWidth()`
`java.lang.String` | `getZoomType()`
`Chart` | `setBackgroundColor(java.lang.String backgroundColor)`
`Chart` | `setDefaultSeriesType(SeriesType type)`
`JSMChart` | `setHeight(int height)`
`Chart` | `setMarginBottom(int marginBottom)`
`Chart` | `setMarginLeft(int marginLeft)`
`Chart` | `setMarginRight(int marginRight)`
`Chart` | `setMarginTop(int marginTop)`
`void` | `setRenderer(java.lang.Object renderer)`
`void` | `setRenderTo(java.lang.Object renderTo)`
`JSMChart` | `setWidth(int width)`
`Chart` | `setZoomType(java.lang.String zoomType)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### zoomType

    public java.lang.String zoomType

### backgroundColor

    public java.lang.String backgroundColor

### marginRight

    public java.lang.Integer marginRight

### marginBottom

    public java.lang.Integer marginBottom

### width

    public java.lang.Integer width

### height

    public java.lang.Integer height

### defaultSeriesType

    public java.lang.String defaultSeriesType

### marginLeft

    public int marginLeft

### marginTop

    public int marginTop

### renderTo

    public java.lang.Object renderTo

### renderer

    public java.lang.Object renderer

Constructor Detail

### JSMChart

    public JSMChart()

Method Detail

### setMarginBottom

    public Chart setMarginBottom(int marginBottom)

  Specified by:
    `setMarginBottom` in interface `Chart`

### setMarginRight

    public Chart setMarginRight(int marginRight)

  Specified by:
    `setMarginRight` in interface `Chart`

### setZoomType

    public Chart setZoomType(java.lang.String zoomType)

  Specified by:
    `setZoomType` in interface `Chart`

### getZoomType

    public java.lang.String getZoomType()

  Specified by:
    `getZoomType` in interface `Chart`

### getMarginRight

    public int getMarginRight()

  Specified by:
    `getMarginRight` in interface `Chart`

### getMarginBottom

    public int getMarginBottom()

  Specified by:
    `getMarginBottom` in interface `Chart`

### getRenderTo

    public java.lang.Object getRenderTo()

  Specified by:
    `getRenderTo` in interface `Chart`

### setRenderTo

    public void setRenderTo(java.lang.Object renderTo)

### setBackgroundColor

    public Chart setBackgroundColor(java.lang.String backgroundColor)

  Specified by:
    `setBackgroundColor` in interface `Chart`

### getBackgroundColor

    public java.lang.String getBackgroundColor()

  Specified by:
    `getBackgroundColor` in interface `Chart`

### setDefaultSeriesType

    public Chart setDefaultSeriesType(SeriesType type)

  Specified by:
    `setDefaultSeriesType` in interface `Chart`

### getDefaultSeriesType

    public java.lang.String getDefaultSeriesType()

  Specified by:
    `getDefaultSeriesType` in interface `Chart`

### setWidth

    public JSMChart setWidth(int width)

  Specified by:
    `setWidth` in interface `Chart`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `Chart`

### setHeight

    public JSMChart setHeight(int height)

  Specified by:
    `setHeight` in interface `Chart`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `Chart`

### setMarginLeft

    public Chart setMarginLeft(int marginLeft)

  Specified by:
    `setMarginLeft` in interface `Chart`

### getMarginLeft

    public int getMarginLeft()

  Specified by:
    `getMarginLeft` in interface `Chart`

### setMarginTop

    public Chart setMarginTop(int marginTop)

  Specified by:
    `setMarginTop` in interface `Chart`

### getMarginTop

    public int getMarginTop()

  Specified by:
    `getMarginTop` in interface `Chart`

### setRenderer

    public void setRenderer(java.lang.Object renderer)

### getRenderer

    public java.lang.Object getRenderer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD